Debian Bug report logs - #629406
samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false

version graph

Package: samba-common; Maintainer for samba-common is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba-common is src:samba.

Reported by: Luca Capello <luca@pca.it>

Date: Mon, 6 Jun 2011 12:21:01 UTC

Severity: normal

Tags: confirmed

Merged with 695362

Found in versions samba/2:3.6.6-2, samba/2:3.5.6~dfsg-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, luca@pca.it, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Mon, 06 Jun 2011 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to luca@pca.it, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 06 Jun 2011 12:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Mon, 06 Jun 2011 14:17:04 +0200
[Message part 1 (text/plain, inline)]
Package: samba-common
Version: 2:3.5.6~dfsg-3
Severity: normal

Hi there!

The following question is asked at samba-common installation:

  Samba Server

  If your computer gets IP address information from a DHCP server on the
  network, the DHCP server may also provide information about WINS
  servers ("NetBIOS name servers") present on the network.  This
  requires a change to your smb.conf file so that DHCP-provided WINS
  settings will automatically be read from /etc/samba/dhcp.conf.

  The dhcp3-client package must be installed to take advantage of this feature.

  Modify smb.conf to use WINS settings from DHCP?

Even if I chose "No", every time the machine is rebooted (or a DHCP
connection is renewed) an empty /etc/samba/dhcp.conf file is created.
This is particular annoying given that etckeeper always complains:

  ** etckeeper detected uncommitted changes in /etc prior to apt run
  ** Aborting apt run. Manually commit and restart.

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages samba-common depends on:
ii  debconf [debconf-2.0]        1.5.36.1    Debian configuration management sy
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

Versions of packages samba-common recommends:
pn  samba-common-bin              <none>     (no description available)

samba-common suggests no packages.

-- debconf information:
* samba-common/encrypt_passwords: true
* samba-common/dhcp: false
* samba-common/workgroup: PCA
  samba-common/do_debconf: true
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Mon, 06 Jun 2011 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 06 Jun 2011 17:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 629406@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Luca Capello <luca@pca.it>, 629406@bugs.debian.org
Subject: Re: Bug#629406: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Mon, 6 Jun 2011 10:20:48 -0700
[Message part 1 (text/plain, inline)]
On Mon, Jun 06, 2011 at 02:17:04PM +0200, Luca Capello wrote:
> The following question is asked at samba-common installation:

>   Samba Server

>   If your computer gets IP address information from a DHCP server on the
>   network, the DHCP server may also provide information about WINS
>   servers ("NetBIOS name servers") present on the network.  This
>   requires a change to your smb.conf file so that DHCP-provided WINS
>   settings will automatically be read from /etc/samba/dhcp.conf.

>   The dhcp3-client package must be installed to take advantage of this feature.

>   Modify smb.conf to use WINS settings from DHCP?

> Even if I chose "No", every time the machine is rebooted (or a DHCP
> connection is renewed) an empty /etc/samba/dhcp.conf file is created.
> This is particular annoying given that etckeeper always complains:

>   ** etckeeper detected uncommitted changes in /etc prior to apt run
>   ** Aborting apt run. Manually commit and restart.

The debconf question has never been intended to govern whether the dhcp hook
script runs, only whether samba makes use of the information.  We could
possibly move this file into /run, if that would help.

Doesn't etckeeper have an 'ignore' facility?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Mon, 06 Jun 2011 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 06 Jun 2011 18:12:05 GMT) Full text and rfc822 format available.

Message #15 received at 629406@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Luca Capello <luca@pca.it>, 629406@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#629406: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Mon, 6 Jun 2011 19:54:49 +0200
[Message part 1 (text/plain, inline)]
Quoting Luca Capello (luca@pca.it):

>   Modify smb.conf to use WINS settings from DHCP?
> 
> Even if I chose "No", every time the machine is rebooted (or a DHCP
> connection is renewed) an empty /etc/samba/dhcp.conf file is created.
> This is particular annoying given that etckeeper always complains:
> 
>   ** etckeeper detected uncommitted changes in /etc prior to apt run
>   ** Aborting apt run. Manually commit and restart.


Hmmm, indeed. The /etc/dhcp3/dhclient-enter-hooks.d/samba hook is a
little bit naive here...

The attached (untested) patch should fix this by testing if the file
to be created is non empty before putting it in place. Could you check
this?

Indeed, we could even be a little bit cleaner and create a real
temporary file rather than /etc/samba/dhcp.conf.new (which would fail
with a read-only /etc). I'm not sure that there are possibilities of
symlink attacks through this as the file is created in a directory
owned by root, but still...it would be cleaner.:-)





[patch-629406 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Mon, 06 Jun 2011 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 06 Jun 2011 18:21:07 GMT) Full text and rfc822 format available.

Message #20 received at 629406@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 629406@bugs.debian.org
Cc: Luca Capello <luca@pca.it>
Subject: Re: [Pkg-samba-maint] Bug#629406: Bug#629406: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Mon, 6 Jun 2011 11:16:39 -0700
[Message part 1 (text/plain, inline)]
On Mon, Jun 06, 2011 at 07:54:49PM +0200, Christian PERRIER wrote:
> Quoting Luca Capello (luca@pca.it):

> >   Modify smb.conf to use WINS settings from DHCP?

> > Even if I chose "No", every time the machine is rebooted (or a DHCP
> > connection is renewed) an empty /etc/samba/dhcp.conf file is created.
> > This is particular annoying given that etckeeper always complains:

> >   ** etckeeper detected uncommitted changes in /etc prior to apt run
> >   ** Aborting apt run. Manually commit and restart.

> Hmmm, indeed. The /etc/dhcp3/dhclient-enter-hooks.d/samba hook is a
> little bit naive here...

> The attached (untested) patch should fix this by testing if the file
> to be created is non empty before putting it in place. Could you check
> this?

Nack.  The hook script *should* be naive; we don't want to add more
complexity here.

We can move the include file to /run instead.

(Also, checking whether the new file is non-zero in size before copying is
wrong.  When the new DHCP information no longer includes netbios settings,
we *need* to update the config with this fact.)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Tue, 07 Jun 2011 18:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 07 Jun 2011 18:18:10 GMT) Full text and rfc822 format available.

Message #25 received at 629406@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 629406@bugs.debian.org, Luca Capello <luca@pca.it>
Subject: Re: [Pkg-samba-maint] Bug#629406: Bug#629406: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Tue, 7 Jun 2011 07:14:42 +0200
[Message part 1 (text/plain, inline)]
Quoting Steve Langasek (vorlon@debian.org):

> We can move the include file to /run instead.

And update smb.conf accordingly?  Even if smb.conf has been modified
by the local admin?

How about testing whether the /etc/samba/dhcp.conf file is really
included in smb.conf and *not* doing anything if it isn't?

(admitedly, this won't work if the local admin tweaked the smb.conf
file to include another file that would itself include dhcp.conf)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Thu, 09 Jun 2011 13:39:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 09 Jun 2011 13:39:34 GMT) Full text and rfc822 format available.

Message #30 received at 629406@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 629406@bugs.debian.org
Cc: Steve Langasek <steve.langasek@debian.org>, Christian Perrier <bubulle@debian.org>, Joey Hess <joeyh@debian.org>
Subject: Re: [Pkg-samba-maint] Bug#629406: Bug#629406: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Thu, 09 Jun 2011 15:26:08 +0200
[Message part 1 (text/plain, inline)]
Hi there!

NB, I tried to answer all emails at once, thus re-ordering the quoting,
    I hope I did not miss anything...

On Mon, 06 Jun 2011 19:20:48 +0200, Steve Langasek wrote:
> On Mon, Jun 06, 2011 at 02:17:04PM +0200, Luca Capello wrote:
>> The following question is asked at samba-common installation:
>>
>>   Samba Server
>>
>>   If your computer gets IP address information from a DHCP server on the
>>   network, the DHCP server may also provide information about WINS
>>   servers ("NetBIOS name servers") present on the network.  This
>>   requires a change to your smb.conf file so that DHCP-provided WINS
>>   settings will automatically be read from /etc/samba/dhcp.conf.
>>
>>   The dhcp3-client package must be installed to take advantage of this feature.
         ^^^^^^^^^^^^
BTW, I completely missed this, which is a bug, this should be changed to
     isc-dhcp-client (I could clone this bug or submit a new one, but
     IMHO is a waste of time, given that dhcp3-client is still in sid).

>>   Modify smb.conf to use WINS settings from DHCP?
>>
>> Even if I chose "No", every time the machine is rebooted (or a DHCP
>> connection is renewed) an empty /etc/samba/dhcp.conf file is created.
>> This is particular annoying given that etckeeper always complains:
>>
>>   ** etckeeper detected uncommitted changes in /etc prior to apt run
>>   ** Aborting apt run. Manually commit and restart.
>
> The debconf question has never been intended to govern whether the dhcp hook
> script runs, only whether samba makes use of the information.  We could
> possibly move this file into /run, if that would help.

We must, otherwise there is no possibility to have a read-only root.
Given that, I added it to the corresponding wiki page:

  <https://wiki.debian.org/ReadonlyRoot?action=diff&rev1=32&rev2=33>

> Doesn't etckeeper have an 'ignore' facility?

Yes, but I do not think this should be added there, cc:ing Joey.

As far as I read the FHS, /etc should contain *static* configuration
files, which is not the case for /etc/samba/dhcp.conf:

  <http://www.pathname.com/fhs/pub/fhs-2.3.html#ETCHOSTSPECIFICSYSTEMCONFIGURATION>

  /etc : Host-specific system configuration

  Purpose

  The /etc hierarchy contains configuration files. A "configuration
  file" is a local file used to control the operation of a program; it
  must be static and cannot be an executable binary. [4]

  [4] The setup of command scripts invoked at boot time may resemble
      System V, BSD or other models. Further specification in this area
      may be added to a future version of this standard.

On Tue, 07 Jun 2011 07:14:42 +0200, Christian PERRIER wrote:
> On Mon, 06 Jun 2011 20:16:39 +0200, Steve Langasek wrote:
>> On Mon, Jun 06, 2011 at 07:54:49PM +0200, Christian PERRIER wrote:
>>> On Mon, Jun 06, 2011 at 02:17:04PM +0200, Luca Capello wrote:
>>>>
>>>>   Modify smb.conf to use WINS settings from DHCP?
>>>>
>>>> Even if I chose "No", every time the machine is rebooted (or a DHCP
>>>> connection is renewed) an empty /etc/samba/dhcp.conf file is created.
[...]
>>> Hmmm, indeed. The /etc/dhcp3/dhclient-enter-hooks.d/samba hook is a
>>> little bit naive here...
>>>
>>> The attached (untested) patch should fix this by testing if the file
>>> to be created is non empty before putting it in place. Could you check
>>> this?

Christian, given that there is no consensus yet, I have not tested your
patch.  Feel free to ask for it and I will gladly do.

>> Nack.  The hook script *should* be naive; we don't want to add more
>> complexity here.
>>
>> We can move the include file to /run instead.
>
> And update smb.conf accordingly?  Even if smb.conf has been modified
> by the local admin?

Please note that neither `man smb.conf` nor the samba-doc package
contain any reference to dhcp.conf.  I thus went to the Samba upstream
website, but neither "Using Samba, 2nd Edition, chapter 6, 'The Samba
Configuration File'" nor the daily docs build contain dhcp.conf:

  <http://www.samba.org/samba/docs/using_samba/ch06.html>
  <http://www.samba.org/~samba-bugs/docs/>

To me it seems that /etc/samba/dhcp.conf is Debian-specific, i.e. not an
upstream configuration file.  Given that this file is intended to be
created when using DHCP through the isc-dhcp-client package, I think the
only proper location is /run/samba/dhcp.conf.

I do not think there is any problem in having it included or not in
/etc/samba/smb.conf: if we continue to manage this through debconf,
installing the samba-common package or reconfiguring it suppose that (at
least) /etc is writable.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#629406; Package samba-common. (Fri, 10 Jun 2011 19:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Fri, 10 Jun 2011 19:06:13 GMT) Full text and rfc822 format available.

Message #35 received at 629406@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Luca Capello <luca@pca.it>
Cc: 629406@bugs.debian.org, Steve Langasek <steve.langasek@debian.org>, Joey Hess <joeyh@debian.org>
Subject: Re: [Pkg-samba-maint] Bug#629406: Bug#629406: samba-common: create empty /etc/samba/dhcp.conf even if samba-common/dhcp=false
Date: Fri, 10 Jun 2011 07:45:08 +0200
[Message part 1 (text/plain, inline)]
Quoting Luca Capello (luca@pca.it):

> >>   The dhcp3-client package must be installed to take advantage of this feature.
>          ^^^^^^^^^^^^
> BTW, I completely missed this, which is a bug, this should be changed to
>      isc-dhcp-client (I could clone this bug or submit a new one, but
>      IMHO is a waste of time, given that dhcp3-client is still in sid).

That's correct, you're right. This warrants a wording change in the
debconf template. So, yes, a separate bug report.

Anyway, if we go for /var/run/samba/dhcp.conf, we have to change the
debconf template.

> > The debconf question has never been intended to govern whether the dhcp hook
> > script runs, only whether samba makes use of the information.  We could
> > possibly move this file into /run, if that would help.
> 
> We must, otherwise there is no possibility to have a read-only root.
> Given that, I added it to the corresponding wiki page:

Yes, I think we have an agreement, here.


> >>> Hmmm, indeed. The /etc/dhcp3/dhclient-enter-hooks.d/samba hook is a
> >>> little bit naive here...
> >>>
> >>> The attached (untested) patch should fix this by testing if the file
> >>> to be created is non empty before putting it in place. Could you check
> >>> this?
> 
> Christian, given that there is no consensus yet, I have not tested your
> patch.  Feel free to ask for it and I will gladly do.

Nope, no need. Steve's concerns are enough to stop me on that way..:-)


> 
> >> Nack.  The hook script *should* be naive; we don't want to add more
> >> complexity here.
> >>
> >> We can move the include file to /run instead.
> >
> > And update smb.conf accordingly?  Even if smb.conf has been modified
> > by the local admin?
> 
> Please note that neither `man smb.conf` nor the samba-doc package
> contain any reference to dhcp.conf.  I thus went to the Samba upstream
> website, but neither "Using Samba, 2nd Edition, chapter 6, 'The Samba
> Configuration File'" nor the daily docs build contain dhcp.conf:
> 
>   <http://www.samba.org/samba/docs/using_samba/ch06.html>
>   <http://www.samba.org/~samba-bugs/docs/>
> 
> To me it seems that /etc/samba/dhcp.conf is Debian-specific, i.e. not an
> upstream configuration file.  Given that this file is intended to be
> created when using DHCP through the isc-dhcp-client package, I think the
> only proper location is /run/samba/dhcp.conf.
> 
> I do not think there is any problem in having it included or not in
> /etc/samba/smb.conf: if we continue to manage this through debconf,
> installing the samba-common package or reconfiguring it suppose that (at
> least) /etc is writable.

Yes, this is Debian/Ubuntu specific....

My point was: what to do when people have "include
/etc/samba/dhcp.conf" in smb.conf?

Should we modify this in smb.conf while we're moving the file to
/run/samba? Probably, I think as this include comes from samba
postinst maintainer script.


This bug report is definitely a good opportunity for the samba package
to adopt the move to /run. We have other things that we need to move
there anyway (what's currently in /var/run/samba).

I might need help for cooking up a proper patch for samba.postinst so
that it rewrites the include line. I'm not a sed expert enough for
doing this in a safe way..:-)....for other things related to this bug
report, I think I can handle them.

PS: I see you included Joey in the loop. I'm fine with that (I'm
always OK to get Joey's advice on anything..:-)), but I missed why...

[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from idd-guest@alioth.debian.org to control@bugs.debian.org. (Sat, 23 Jun 2012 09:48:39 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 05:42:10 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 05:42:10 GMT) Full text and rfc822 format available.

Message #42 received at 629406-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 629406-close@bugs.debian.org
Subject: Bug#629406: fixed in samba 2:3.6.6-1
Date: Wed, 27 Jun 2012 05:33:32 +0000
Source: samba
Source-Version: 2:3.6.6-1

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libnss-winbind_3.6.6-1_i386.deb
  to main/s/samba/libnss-winbind_3.6.6-1_i386.deb
libpam-smbpass_3.6.6-1_i386.deb
  to main/s/samba/libpam-smbpass_3.6.6-1_i386.deb
libpam-winbind_3.6.6-1_i386.deb
  to main/s/samba/libpam-winbind_3.6.6-1_i386.deb
libsmbclient-dev_3.6.6-1_i386.deb
  to main/s/samba/libsmbclient-dev_3.6.6-1_i386.deb
libsmbclient_3.6.6-1_i386.deb
  to main/s/samba/libsmbclient_3.6.6-1_i386.deb
libwbclient-dev_3.6.6-1_i386.deb
  to main/s/samba/libwbclient-dev_3.6.6-1_i386.deb
libwbclient0_3.6.6-1_i386.deb
  to main/s/samba/libwbclient0_3.6.6-1_i386.deb
samba-common-bin_3.6.6-1_i386.deb
  to main/s/samba/samba-common-bin_3.6.6-1_i386.deb
samba-common_3.6.6-1_all.deb
  to main/s/samba/samba-common_3.6.6-1_all.deb
samba-dbg_3.6.6-1_i386.deb
  to main/s/samba/samba-dbg_3.6.6-1_i386.deb
samba-doc-pdf_3.6.6-1_all.deb
  to main/s/samba/samba-doc-pdf_3.6.6-1_all.deb
samba-doc_3.6.6-1_all.deb
  to main/s/samba/samba-doc_3.6.6-1_all.deb
samba-tools_3.6.6-1_i386.deb
  to main/s/samba/samba-tools_3.6.6-1_i386.deb
samba_3.6.6-1.debian.tar.gz
  to main/s/samba/samba_3.6.6-1.debian.tar.gz
samba_3.6.6-1.dsc
  to main/s/samba/samba_3.6.6-1.dsc
samba_3.6.6-1_i386.deb
  to main/s/samba/samba_3.6.6-1_i386.deb
samba_3.6.6.orig.tar.bz2
  to main/s/samba/samba_3.6.6.orig.tar.bz2
smbclient_3.6.6-1_i386.deb
  to main/s/samba/smbclient_3.6.6-1_i386.deb
swat_3.6.6-1_i386.deb
  to main/s/samba/swat_3.6.6-1_i386.deb
winbind_3.6.6-1_i386.deb
  to main/s/samba/winbind_3.6.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629406@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jun 2012 06:03:17 +0200
Source: samba
Binary: samba samba-common-bin samba-common samba-tools smbclient swat samba-doc samba-doc-pdf libpam-smbpass libsmbclient libsmbclient-dev winbind libpam-winbind libnss-winbind samba-dbg libwbclient0 libwbclient-dev
Architecture: source i386 all
Version: 2:3.6.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libnss-winbind - Samba nameservice integration plugins
 libpam-smbpass - pluggable authentication module for Samba
 libpam-winbind - Windows domain authentication integration plugin
 libsmbclient - shared library for communication with SMB/CIFS servers
 libsmbclient-dev - development files for libsmbclient
 libwbclient-dev - Samba winbind client library - development files
 libwbclient0 - Samba winbind client library
 samba      - SMB/CIFS file, print, and login server for Unix
 samba-common - common files used by both the Samba server and client
 samba-common-bin - common files used by both the Samba server and client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation in PDF format
 samba-tools - Samba testing utilities
 smbclient  - command-line SMB/CIFS clients for Unix
 swat       - Samba Web Administration Tool
 winbind    - Samba nameservice integration server
Closes: 629406 649100 652942 653382 658245 678741
Changes: 
 samba (2:3.6.6-1) unstable; urgency=low
 .
   [ Ivo De Decker ]
   * Only enable swat in inetd.conf on first install. Closes: #658245
   * Minor lintian fixes.
   * Remove DHCP hook. Closes: #652942, #629406, #649100
   * Don't reload smbd when running from inetd. Closes: #678741
   * Don't start smbd when guest account doesn't exist. Closes: #653382
   * Only export public symbols in libsmbclient and libwbclient.
 .
   [ Christian Perrier ]
   * New upstream version
Checksums-Sha1: 
 f65e1c5196911112415139ba6c6f9172b4cbb82d 3062 samba_3.6.6-1.dsc
 450371e613d867a2d42555998cd3e83a47014123 29464478 samba_3.6.6.orig.tar.bz2
 cec9f1da2b8f80dfa73bf45905f7a726f8a7b3b6 392010 samba_3.6.6-1.debian.tar.gz
 ae946bb79abd2a590be3c108aa56da8ac8a9737a 8339462 samba_3.6.6-1_i386.deb
 5b97ab7b97e42723cc9a957eaa287f34dd0f2904 6404650 samba-common-bin_3.6.6-1_i386.deb
 fe639be4422ab460916363b6e23468b3c8e663cc 381040 samba-common_3.6.6-1_all.deb
 2599f8ab41a8480f594b840efd9f705f831c664d 11942892 samba-tools_3.6.6-1_i386.deb
 0600dd46a6728307a63e099ae22da419221d4c18 14397738 smbclient_3.6.6-1_i386.deb
 ecc82354432fd04586227f270b9b2924c5bf71d9 2305944 swat_3.6.6-1_i386.deb
 0fed0d48458db637fbc01e4230b49f1053173e8e 6814026 samba-doc_3.6.6-1_all.deb
 6a84f17dde71768c0b7f41579f94fe021a384719 7061784 samba-doc-pdf_3.6.6-1_all.deb
 c4db9dceb718a712ccc9ea3b837ce0aa732d4ba7 867816 libpam-smbpass_3.6.6-1_i386.deb
 2ca6bec056828dbd7e1567d5ce9126acec8af13a 2065250 libsmbclient_3.6.6-1_i386.deb
 9becc1c32b04f325b42c09b8a01edd74abdb314b 2943920 libsmbclient-dev_3.6.6-1_i386.deb
 4fd57926339f9e00a08da67ae89e01a6ffbfe784 4606800 winbind_3.6.6-1_i386.deb
 9a7aef4aed054eb4a3a991c790e7777df36cdb0b 106214 libpam-winbind_3.6.6-1_i386.deb
 b118d52c7f90f7f44c30386c02faf9e594a550ff 696138 libnss-winbind_3.6.6-1_i386.deb
 1af159948339004d15316eca8c121e7f10fb1dad 67722054 samba-dbg_3.6.6-1_i386.deb
 f7b84958646bc50b1ff71a3fa6dc79dd24ae408d 99054 libwbclient0_3.6.6-1_i386.deb
 b95114790908683c6e20d15f0e2bfc04acdeb5a3 83666 libwbclient-dev_3.6.6-1_i386.deb
Checksums-Sha256: 
 8db12e5768cc6b4739e91e0eced0f32f58a579a98498b856434e9e8ab114d382 3062 samba_3.6.6-1.dsc
 1141eb5f173534db8f8d7dd1aa8fed53404d719e4a65c610f3ef62fdcad783e6 29464478 samba_3.6.6.orig.tar.bz2
 8088bbdc4900bdbc437ff59c85734bdaf108a66945d733eb53d81f33b7edd1b8 392010 samba_3.6.6-1.debian.tar.gz
 2ec8a06487d7306be9c5ce52a47787173bf3689ba42f38a7ce06627b8746fe3b 8339462 samba_3.6.6-1_i386.deb
 f45f33086b89167f11803421d621c2e4798c65a906d009aee51ba3f7fd7229cb 6404650 samba-common-bin_3.6.6-1_i386.deb
 bf62d57c16ba5ab9d7f72f7206de1140f876b9a723172cddb15235d37ca4559e 381040 samba-common_3.6.6-1_all.deb
 7f98c327487e5875c4dddad3ea40f22f7647a3da464fe177563e8f3f3f65a7cb 11942892 samba-tools_3.6.6-1_i386.deb
 a513e07cf3f61c9552ca52e91078be720f8825ae9bde6e72f085618d6a27844a 14397738 smbclient_3.6.6-1_i386.deb
 350ef4b362ab3a50cf8bcea14971cab7e9d4c9745cfcbf4a6dc767de65cdea6a 2305944 swat_3.6.6-1_i386.deb
 14e72f6fa8cd420fca673027a4f1d514a0ddd9e5dab6702e665df53d297ed81e 6814026 samba-doc_3.6.6-1_all.deb
 19c01a2abdfde84d792e674e7e2182c4c2c62aa4101ccee5b732a298f3783265 7061784 samba-doc-pdf_3.6.6-1_all.deb
 ab3e39620d1d39e307eb6b5c9bd72fbfc4d5a5a1bd5c7d68bbb58c231dc69651 867816 libpam-smbpass_3.6.6-1_i386.deb
 2a0905fc399eceec951c4ad3d22e11f9bec8780e13541a0a22b371d49800727f 2065250 libsmbclient_3.6.6-1_i386.deb
 34f12d25bf16880b91987868f6680801ca885e2512e399dc476cab74f392aeb9 2943920 libsmbclient-dev_3.6.6-1_i386.deb
 639dc5d8ca4145f75750a8af272f5b484ec9d6efc12b562c9c1ce4d8226f3f8a 4606800 winbind_3.6.6-1_i386.deb
 5cfd69013bcc54c9144a8840bad50bb011428e05fe7c78c930b597396e7cd34f 106214 libpam-winbind_3.6.6-1_i386.deb
 cc963d59c0e85e67e1025074703eb9891e3db820161b919561276a58798c8947 696138 libnss-winbind_3.6.6-1_i386.deb
 3b0a095a7683730e1703f5698b62596b81b8d52d8b5fe64d0289f1a7066a09cb 67722054 samba-dbg_3.6.6-1_i386.deb
 2909c8cbf0dac65df96318c3e65621f2e9bc6cd06730cb3b4ba4318e7ba51771 99054 libwbclient0_3.6.6-1_i386.deb
 3741c41562f229b6cb249a3defeb1fa2b5c2205da8c1074b98ac32334a64fff2 83666 libwbclient-dev_3.6.6-1_i386.deb
Files: 
 b2c410b358426ab8ca73796578936c65 3062 net optional samba_3.6.6-1.dsc
 46b07ed027657917413f6bfc7234db38 29464478 net optional samba_3.6.6.orig.tar.bz2
 6fdd25f370b3ccf0a0ec2dd58a185aa3 392010 net optional samba_3.6.6-1.debian.tar.gz
 28fa5076afd9de0f9a4524d8b674e2e0 8339462 net optional samba_3.6.6-1_i386.deb
 780f2f97bfff3dacb8d22a4b1a0101b3 6404650 net optional samba-common-bin_3.6.6-1_i386.deb
 55aab9a23e8fcd235853e0412a2bda63 381040 net optional samba-common_3.6.6-1_all.deb
 3befa07288a68788825a9ad8fd4de712 11942892 net optional samba-tools_3.6.6-1_i386.deb
 ef1a862b7307934017f34dc3a8b83ab4 14397738 net optional smbclient_3.6.6-1_i386.deb
 ea4110c32a35d07dda04e355b0768724 2305944 net optional swat_3.6.6-1_i386.deb
 aeecdc950eceba2f7c0f47105bc88f9f 6814026 doc optional samba-doc_3.6.6-1_all.deb
 65c244dec6e89d002c172e6be79c00d6 7061784 doc optional samba-doc-pdf_3.6.6-1_all.deb
 f03c067f9f976040f97b3e2f77414290 867816 admin extra libpam-smbpass_3.6.6-1_i386.deb
 a9c605e342fb08e57ca5f507386299c0 2065250 libs optional libsmbclient_3.6.6-1_i386.deb
 1a8b2c31e71f8c3ef2ffa62c4ab80400 2943920 libdevel extra libsmbclient-dev_3.6.6-1_i386.deb
 a38e5a44e184659ba28110d88d544fe5 4606800 net optional winbind_3.6.6-1_i386.deb
 c8bf8b3f7a913a0fb69b8dac8c1c03b5 106214 net optional libpam-winbind_3.6.6-1_i386.deb
 ce7aa0834b60819da090635174755349 696138 net optional libnss-winbind_3.6.6-1_i386.deb
 8eb4f1e82cf107c7b7fdf872abbfface 67722054 debug extra samba-dbg_3.6.6-1_i386.deb
 94f9b5d68265f87f8c15fb8cb850ba29 99054 libs optional libwbclient0_3.6.6-1_i386.deb
 e882f4af3ff996adfc1633fefda22d87 83666 libdevel optional libwbclient-dev_3.6.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT+qSSocvcCxNbiWoAQI+WxAApBbhjKBgNS46QWahm8mp8UjChxRA2bcN
PBO3wWLvMh0jtPQAdhifG97sMvvtg4r3Wc8sbf+H9mdXq6Pnyqy0vH40minB9rvF
ZrMNcHcuZr8hc2pSx+H550DLE2cRhICvqztroAhM24Bg8SBZXuxVo2JMQbRuVor5
KTjh7WyR32ApGlC3WkRLXHhVkOP/nrs09kITcPTMDKUleWNO6Kk0/1HtZ85TXqGS
hPb+h7hFrooZQCEOrmZRSbGfHPG7l+0azJpGoG3Q8YvvrAwar4jaIvcRfsuT00Wz
6Huo+0dS/pI5tH8661RcGywirceceSwjlNpr+ot9RgOTraDqxZrMauea5aKZroay
H0hL3+Dl3gN9waANnMg/Pn+xcFT+98sZCHuM83M7XuqTMxMsa32m/BB7NO6iv6WD
I3SYdtvwDTmdl2+az+CZI6G6adsst+x8bs6ZRliOrK1iRGOnbEy2qSkGD+ytDKx8
tyOEvjgq9jPu+x5YP97BjroJvJgeM/DuJXaJqux0ZjsB+zB4aommCOQaWtKmHjSO
iyJ5yNi1UENULOI/JS6XKsodkbveJnefy2DKKHqUNZcmsxpGyE/Uwj30LnH2bbyb
mw78OTFt3HPRCn2K7g/JCLyBTE5VkRXsu6O+HC5GvQ28epMWYO58/z03oLrtjouV
iIACVk73X+c=
=R8pQ
-----END PGP SIGNATURE-----





Bug reopened Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 16:33:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions samba/2:3.6.6-1. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 16:33:03 GMT) Full text and rfc822 format available.

Marked as found in versions samba/2:3.6.6-2. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 21:51:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Tue, 03 Jul 2012 12:24:17 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 08 Dec 2012 20:12:04 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 08 Dec 2012 20:15:04 GMT) Full text and rfc822 format available.

Merged 629406 695362 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 08 Dec 2012 20:15:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:02:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.